Upstream information

CVE-2017-14166 at MITRE

Description

libarchive 3.3.2 allows remote attackers to cause a denial of service (xml_data heap-based buffer over-read and application crash) via a crafted xar archive, related to the mishandling of empty strings in the atol8 function in archive_read_support_format_xar.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.1
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1057514 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2757
SUSE Enterprise Storage 6
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-Storage-6-2021-2757
SUSE Linux Enterprise Desktop 12 SP3
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2594
SUSE Linux Enterprise Desktop 12 SP4
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2018-2594
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libarchive13 >= 3.1.2-26.3.1
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2757
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2757
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-2757
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libarchive-devel >= 3.3.2-3.8.4
  • libarchive13 >= 3.3.2-3.8.4
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libarchive-devel >= 3.4.2-2.24
  • libarchive13 >= 3.4.2-2.24
SUSE Linux Enterprise Module for Basesystem 15
  • libarchive-devel >= 3.3.2-1.27
  • libarchive13 >= 3.3.2-1.27
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • bsdtar >= 3.3.2-3.8.4
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • bsdtar >= 3.4.2-2.24
SUSE Linux Enterprise Module for Development Tools 15
  • bsdtar >= 3.3.2-1.27
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2594
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2594
SUSE Linux Enterprise Server 15 SP1-BCL
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2757
SUSE Linux Enterprise Server 15 SP1-LTSS
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2757
SUSE Linux Enterprise Server 15-LTSS
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-2757
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2757
SUSE Linux Enterprise Server for SAP Applications 15
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-2757
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libarchive-devel >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2594
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libarchive-devel >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-2594
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libarchive-devel >= 3.1.2-26.3.1
SUSE Manager Proxy 4.0
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2757
SUSE Manager Retail Branch Server 4.0
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2757
SUSE Manager Server 4.0
  • bsdtar >= 3.3.3-3.14.1
  • libarchive-devel >= 3.3.3-3.14.1
  • libarchive13 >= 3.3.3-3.14.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2757
openSUSE Leap 15.0
  • libarchive13 >= 3.3.2-lp150.1.9
Patchnames:
openSUSE Leap 15.0 GA libarchive13-3.3.2-lp150.1.9
openSUSE Tumbleweed
  • bsdtar >= 3.5.1-1.5
  • libarchive-devel >= 3.5.1-1.5
  • libarchive13 >= 3.5.1-1.5
  • libarchive13-32bit >= 3.5.1-1.5
Patchnames:
openSUSE Tumbleweed GA bsdtar-3.5.1-1.5


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libarchive Released
SUSE CaaS Platform 4.0 libarchive Already fixed
SUSE Enterprise Storage 5 libarchive Released
SUSE Enterprise Storage 6 libarchive Already fixed
SUSE Linux Enterprise Desktop 12 SP2 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP3 libarchive In progress
SUSE Linux Enterprise Desktop 12 SP4 libarchive In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 libarchive In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libarchive Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libarchive Already fixed
SUSE Linux Enterprise Module for Basesystem 15 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libarchive Already fixed
SUSE Linux Enterprise Module for Development Tools 15 libarchive Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 libarchive Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 libarchive Already fixed
SUSE Linux Enterprise Point of Service Image Server 12 libarchive Released
SUSE Linux Enterprise Server 12 LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP2 libarchive Affected
SUSE Linux Enterprise Server 12 SP2 BCL libarchive Released
SUSE Linux Enterprise Server 12 SP2 ESPOS libarchive Released
SUSE Linux Enterprise Server 12 SP2 LTSS libarchive Released
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON libarchive Released
SUSE Linux Enterprise Server 12 SP2 LTSS SAP libarchive Released
SUSE Linux Enterprise Server 12 SP3 libarchive In progress
SUSE Linux Enterprise Server 12 SP3 BCL libarchive Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libarchive Released
SUSE Linux Enterprise Server 12 SP3 LTSS libarchive Released
SUSE Linux Enterprise Server 12 SP4 libarchive In progress
SUSE Linux Enterprise Server 12 SP4 ESPOS libarchive Released
SUSE Linux Enterprise Server 12 SP4 LTSS libarchive Released
SUSE Linux Enterprise Server 12 SP5 libarchive Released
SUSE Linux Enterprise Server 15 LTSS libarchive Already fixed
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux libarchive Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS libarchive Already fixed
SUSE Linux Enterprise Server ESPOS 15 libarchive Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 15 libarchive Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libarchive Already fixed
SUSE Linux Enterprise Software Development Kit 12 libarchive Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libarchive In progress
SUSE Linux Enterprise Software Development Kit 12 SP4 libarchive In progress
SUSE Linux Enterprise Software Development Kit 12 SP5 libarchive Released
SUSE Manager Proxy 4.0 libarchive Already fixed
SUSE Manager Retail Branch Server 4.0 libarchive Already fixed
SUSE Manager Server 4.0 libarchive Already fixed
SUSE OpenStack Cloud 7 libarchive Released
SUSE OpenStack Cloud 8 libarchive Released
SUSE OpenStack Cloud 9 libarchive Released
SUSE OpenStack Cloud Crowbar 8 libarchive Released
SUSE OpenStack Cloud Crowbar 9 libarchive Released